package com.uas.cloud.mall.payment.util;

import com.uas.cloud.commons.web.context.PathUtils;
import org.springframework.beans.factory.annotation.Value;

import java.io.File;

public class DirectPayConfig {
    // 合作商家私钥pkcs12证书路径
	public static final String PATH_PARTER_PKCS12 = PathUtils.getFilePath() + "src"+ File.separator + "main" + File.separator+ "resources" + File.separator + "cert"  + File.separator + "yrsc.pfx";

	// 合作商家私钥pkcs12证书密码
	public static final String PASSWORD_PARTNER_PKCS12 = "yrscyr";

	// 银盛公钥pkcs12证书路径
	public static final String PATH_YSEPAY_PUBLIC_CERT = PathUtils.getFilePath() + "src"+ File.separator + "main" + File.separator+ "resources" + File.separator + "cert"  + File.separator + "businessgate.cer";

	// rsa算法名
	public static final String RSA_ALGORITHM = "SHA1WithRSA";

	/******************* 请求数据需要用到的参数 ******************/

	// 银盛前台同步通知跳转地址
	public static final String NOTIFY_URL="http://218.17.158.219:9090/platform-b2c/api/payment/ysepayNotify";

	// 银盛后台异步通知地址
	public static final String RETURN_URL ="http://218.17.158.219:9090/platform-b2c/user#/home/myOrder_todo?state=tobedeliver";

	// 用户号（商户号）
	public static final String PARTNER_ID = "yrsc";

	// 收款方银盛支付用户号
	public static final String SELLER_ID = "yrsc";

	// 收款方银盛支付客户名
	public static final String SELLER_NAME = "深圳市优软商城科技有限公司";

	// 字符编码
	public static final String DEFAULT_CHARSET = "utf-8";

	// 接口名称
	public static final String METHOD = "ysepay.online.directpay.createbyuser";

	// 签名类型
	public static final String SIGN_TYPE = "RSA";

	// 接口版本
	public static final String VERSION = "3.0";

	// 未付款交易的超时时间
	public static final String TIMEOUT_EXPRESS = "3d";

	// 业务代码
	public static final String BUSINESS_CODE = "01000010";

}